#include "pub/PubWrapperHelper.h"
#include "pub/PubDataWrapper.h"
#include "sub/SubWrapperHelper.h"
#include "dpc_trpc_lat/executable.h"

#include "TRPCLat_PubDataWrapper.h"
#include "TRPCLat_SubDataWrapper.h"
#include "TRPCLAT_GeneralWrapper.h"
GeneralWrapper::GeneralWrapper(ara::log::Logger& mainLog) : 
_TRPCLat2CAN_Provide("dpc_trpc_lat/dpc_trpc_lat/TRPCLat2CANPPort" ,mainLog),
_VED2TRPCLat_Required("dpc_trpc_lat/dpc_trpc_lat/VED2TRPCLatRPort", mainLog),
_DM2TRPCLat_Required("dpc_trpc_lat/dpc_trpc_lat/DM2TRPCLatRPort", mainLog),
_CAN2Lat_Required("dpc_trpc_lat/dpc_trpc_lat/CAN2LatRPort", mainLog)
{

    _TRPCLat2CAN_Provide.Init();
    _VED2TRPCLat_Required.Init();
    _DM2TRPCLat_Required.Init();
    _CAN2Lat_Required.Init();
}
GeneralWrapper::~GeneralWrapper() {
    _VED2TRPCLat_Required.Destroy();
    _DM2TRPCLat_Required.Destroy();
    _CAN2Lat_Required.Destroy();
}

void GeneralWrapper::Start() {
    
}

